/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;


public class NewMessageAck {

    @JsonProperty("accepted")
    private Boolean accepted;
    @JsonProperty("method")
    private String method;

    public NewMessageAck() {

    }

    public NewMessageAck(Boolean accepted, String method) {
        this.accepted = accepted;
        this.method = method;
    }

    public Boolean getAccepted() {
        return accepted;
    }

    public void setAccepted(Boolean accepted) {
        this.accepted = accepted;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    @Override
    public String toString() {
        return "NewMessageAck{" +
                "accepted=" + accepted +
                ", method='" + method + '\'' +
                '}';
    }
}
